Substy Developers
Creators

List accessible creators

List connected creator accounts accessible to the current account, optionally filtering pending connections and including settings.

GET/v1/agencies/{agencyId}/creators

List connected creator accounts accessible to the current account, optionally filtering pending connections and including settings.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length

Query Parameters

pending?boolean
fetchSettings?boolean

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/creators" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": [    {      "description": null,      "agencyId": "string",      "label": null,      "platform": "ONLYFANS",      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "name": "string",      "age": null,      "birthday": null,      "timezone": null,      "updatedAt": "2019-08-24T14:15:22Z",      "url": null,      "platformUserId": null,      "pseudo": null,      "pending": true,      "needA2fVerification": true,      "verifiedAt": null,      "gender": "MALE",      "living": "string",      "profession": null,      "weight": null,      "shoeSize": null,      "braCupSize": null,      "ethnicity": null,      "appearance": null,      "hairColor": null,      "eyeColor": null,      "primaryLanguage": null,      "otherLanguages": [        "string"      ],      "languages": null,      "trackingLinkSyncListId": null,      "isDeleted": true,      "deletedAt": null,      "chatInboxEnabled": true,      "isNearby": true,      "setting": null    }  ],  "meta": {    "requestId": "string"  }}